<ng-container *ngIf="dispatchView else dataAwaitedBlk">
  <mat-expansion-panel #panel class="parametersPanel">
    <mat-expansion-panel-header>
      <mat-panel-title>
        <mat-icon class="e-mat-icon e-mat-icon--2">date_range</mat-icon>
        <span class="eh-w-140 eh-ml-2">{{dateFC.value | date:'E | d-MMM-y':'+0530'}}</span>
        <span *ngIf="isNew" class="e-txt e-txt--matred300 eh-txt-12 eh-txt-bold eh-ml-8">
          New!
        </span>
      </mat-panel-title>

      <mat-panel-description fxLayoutAlign="end">
        <app-button-icon icon="delete" [loading]="deleting" [disabled]="isAnyLoaderActive()" (onButtonClick)="delete()">
        </app-button-icon>
      </mat-panel-description>
    </mat-expansion-panel-header>

    <div class="e-title eh-mt-16">
      <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">monitor_weight</mat-icon>
      <span>Frontal Images</span>
    </div>

    <div class="eh-w-68 eh-mt-16 eh-ml-12">
      <app-button-file-upload [disabled]="isAnyLoaderActive()" [uploadByName]="me.name" [uploadByUID]="me.uid"
        [uploadCollectionName]="uploadCollectionName" [uploadDirPath]="uploadDirPath"
        [uploadFileNamePrefix]="uploadFileNamePrefix" [userMembershipKey]="membershipKeyFC.value"
        [userUID]="uidFC.value" (availableEvent)="onAvailable('Frontal')"
        (uploadEvent)="onUploadComplete($event, 'Frontal')">
      </app-button-file-upload>
    </div>

    <div *ngIf="panel.expanded" class="eh-mt-16" fxLayout="row wrap">
      <div *ngFor="let image of frontalImagesFA.controls; let i = index;"
        class="eh-w-76 eh-ml-12 eh-mt-12 eh-pos-relative">
        <img [src]="image.value.fileURL" class="eh-fit eh-csr-ptr" alt="" (click)="openLightbox(image.value.fileURL)">
        <div class="eh-pos-absolute" style="top: -16px; right: -16px;">
          <app-button-icon icon="cancel" iconStyle="e-mat-icon--3 e-txt e-txt--matgrey600"
            [disabled]="isAnyLoaderActive()" toolTip="Delete" (onButtonClick)="deleteFile('Frontal', i)">
          </app-button-icon>
        </div>
      </div>
    </div>

    <div class="e-title eh-mt-16">
      <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">monitor_weight</mat-icon>
      <span>Lateral Images</span>
    </div>

    <div class="eh-w-68 eh-mt-16 eh-ml-12">
      <app-button-file-upload [disabled]="isAnyLoaderActive()" [uploadByName]="me.name" [uploadByUID]="me.uid"
        [uploadCollectionName]="uploadCollectionName" [uploadDirPath]="uploadDirPath"
        [uploadFileNamePrefix]="uploadFileNamePrefix" [userMembershipKey]="membershipKeyFC.value"
        [userUID]="uidFC.value" (availableEvent)="onAvailable('Lateral')"
        (uploadEvent)="onUploadComplete($event, 'Lateral')">
      </app-button-file-upload>
    </div>

    <div *ngIf="panel.expanded" class="eh-mt-16" fxLayout="row wrap">
      <div *ngFor="let image of lateralImagesFA.controls; let i = index;"
        class="eh-w-76 eh-ml-12 eh-mt-12 eh-pos-relative">
        <img [src]="image.value.fileURL" class="eh-fit eh-csr-ptr" alt="" (click)="openLightbox(image.value.fileURL)">
        <div class="eh-pos-absolute" style="top: -16px; right: -16px;">
          <app-button-icon icon="cancel" iconStyle="e-mat-icon--3 e-txt e-txt--matgrey600"
            [disabled]="isAnyLoaderActive()" toolTip="Delete" (onButtonClick)="deleteFile('Lateral', i)">
          </app-button-icon>
        </div>
      </div>
    </div>

    <div class="e-title eh-mt-16">
      <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">monitor_weight</mat-icon>
      <span>Back Images</span>
    </div>

    <div class="eh-w-68 eh-mt-16 eh-ml-12">
      <app-button-file-upload [disabled]="isAnyLoaderActive()" [uploadByName]="me.name" [uploadByUID]="me.uid"
        [uploadCollectionName]="uploadCollectionName" [uploadDirPath]="uploadDirPath"
        [uploadFileNamePrefix]="uploadFileNamePrefix" [userMembershipKey]="membershipKeyFC.value"
        [userUID]="uidFC.value" (availableEvent)="onAvailable('Back')" (uploadEvent)="onUploadComplete($event, 'Back')">
      </app-button-file-upload>
    </div>

    <div *ngIf="panel.expanded" class="eh-mt-16" fxLayout="row wrap">
      <div *ngFor="let image of backImagesFA.controls; let i = index;"
        class="eh-w-76 eh-ml-12 eh-mt-12 eh-pos-relative">
        <img [src]="image.value.fileURL" class="eh-fit eh-csr-ptr" alt="" (click)="openLightbox(image.value.fileURL)">
        <div class="eh-pos-absolute" style="top: -16px; right: -16px;">
          <app-button-icon icon="cancel" iconStyle="e-mat-icon--3 e-txt e-txt--matgrey600"
            [disabled]="isAnyLoaderActive()" toolTip="Delete" (onButtonClick)="deleteFile('Back', i)">
          </app-button-icon>
        </div>
      </div>
    </div>
  </mat-expansion-panel>
</ng-container>

<ng-template #dataAwaitedBlk>
  <div class="e-spinner e-spinner--3 e-spinner--center eh-h-100v">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>